/* Base font style */
* {
  font-family: "Arial", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: url("../assets/about/background.jpg") no-repeat center center;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  color: #ffffff;
}

.login-container {
  background: white;
  opacity: 0.9;
  display: flex;
  justify-content: space-around;
  align-items: center;
  border-radius: 15px;
  padding: 30px;
  max-width: 900px;
  width: 100%;
  box-shadow: 0px 8px 15px rgba(16, 74, 138, 0.5);
}

.login-summary {
  max-width: 300px;
}

.login-summary h1 {
  font-size: 2rem;
  margin-bottom: 10px;
  color: #104a8a;
}

.login-summary h2 {
  font-size: 1.5rem;
  margin-bottom: 15px;
  color: #104a8a;
}

.login-summary p {
  font-size: 1rem;
  margin-bottom: 20px;
  line-height: 1.6;
  color: #104a8a;
}
.login-summary span {
  color: #104a8a;
  font-size: 0.9rem;
}

.register-here {
  color: rgb(16, 16, 92);
  text-decoration: none;
  font-weight: bold;
}

.register-here:hover {
  text-decoration: underline;
}

.login-box {
  padding: 25px;
  width: 370px;
}

.login-box h2 {
  color: #104a8a;
  margin-bottom: 15px;
}

input {
  background: rgba(255, 255, 255, 0.2);
  color: #104a8a;
  border: 1px solid #104a8a;
}
input::placeholder {
  color: grey;
}

input,
button {
  width: 100%;
  padding: 15px;
  height: 50px;
  margin: 15px 0;
  border-radius: 9px;
}

button {
  background: #104a8a;
  color: white;
  font-size: 1rem;
  cursor: pointer;
  border: none;
  transition: background 0.3s ease-in-out, transform 0.2s ease-in-out;
}

button:hover {
  transform: scale(1.05);
}

.forgot {
  display: block;
  text-decoration: none;
  width: 100%;
  text-align: right;
  color: white;
  font-size: 0.9rem;
}

.forgot:hover {
  color: #ffffff;
}

.continue-with {
  color: #cfe2f3;
  text-align: center;
  font-size: 0.95rem;
  margin-top: 20px;
}

.continue-icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

.continue-icon img {
  width: 40px;
  height: 40px;
  margin: 12px;
  transition: transform 0.2s ease-in-out;
  background-color: transparent;
  border-radius: 50%;
}

.continue-icon img:hover {
  transform: scale(1.1);
}

/* Responsive styling */
@media (max-width: 768px) {
  .login-container {
    flex-direction: column;
    padding: 20px;
    margin-top: 20px;
  }
  .login-summary,
  .login-box {
    width: 100%;
    margin-bottom: 20px;
  }
}
